summaryrefslogtreecommitdiffstats
path: root/meta/recipes-core/busybox/files/mdev
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2025-11-07 13:31:53 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2025-11-07 13:31:53 +0000
commit8c22ff0d8b70d9b12f0487ef696a7e915b9e3173 (patch)
treeefdc32587159d0050a69009bdf2330a531727d95 /meta/recipes-core/busybox/files/mdev
parentd412d2747595c1cc4a5e3ca975e3adc31b2f7891 (diff)
downloadpoky-8c22ff0d8b70d9b12f0487ef696a7e915b9e3173.tar.gz
The poky repository master branch is no longer being updated.
You can either: a) switch to individual clones of bitbake, openembedded-core, meta-yocto and yocto-docs b) use the new bitbake-setup You can find information about either approach in our documentation: https://docs.yoctoproject.org/ Note that "poky" the distro setting is still available in meta-yocto as before and we continue to use and maintain that. Long live Poky! Some further information on the background of this change can be found in: https://lists.openembedded.org/g/openembedded-architecture/message/2179 Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-core/busybox/files/mdev')
-rwxr-xr-xmeta/recipes-core/busybox/files/mdev43
1 files changed, 0 insertions, 43 deletions
diff --git a/meta/recipes-core/busybox/files/mdev b/meta/recipes-core/busybox/files/mdev
deleted file mode 100755
index 2fbdfb073e..0000000000
--- a/meta/recipes-core/busybox/files/mdev
+++ /dev/null
@@ -1,43 +0,0 @@
1#!/bin/sh
2#
3# Run the mdev daemon
4#
5
6DAEMON="mdev"
7PIDFILE="/var/run/$DAEMON.pid"
8
9
10start() {
11 echo -n "Starting $DAEMON... "
12 start-stop-daemon -S -b -m -p $PIDFILE -x /sbin/mdev -- -df
13 [ $? -eq 0 ] && echo "OK" || echo "ERROR"
14
15 # coldplug modules
16 find /sys/ -name modalias -print0 | \
17 xargs -0 sort -u | \
18 tr '\n' '\0' | \
19 xargs -0 modprobe -abq
20}
21
22stop() {
23 echo -n "Stopping $DAEMON... "
24 start-stop-daemon -K -p $PIDFILE
25 [ $? -eq 0 ] && echo "OK" || echo "ERROR"
26}
27
28restart() {
29 stop
30 start
31}
32
33case "$1" in
34 start|stop|restart)
35 "$1"
36 ;;
37 *)
38 echo "Usage: $0 {start|stop|restart}"
39 exit 1
40esac
41
42exit $?
43